mtext_put_prop_values(3m17n)

NAME
mtext_put_prop_values - Set multiple text properties with the same key.

SYNOPSIS
int mtext_put_prop_values (MText * mt, int from, int to, MSymbol key, void ** values, int num)

DESCRIPTION
Set multiple text properties with the same key.

The mtext_put_prop_values() function sets a text property to the characters between from (inclusive) and to (exclusive) in M-text mt. key and values specify the key and the values of the text property. num specifies the number of property values to be set.

RETURN VALUE

    If the operation was successful, mtext_put_prop_values() returns 0. Otherwise it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_RANGE, MERROR_SYMBOL

SEE ALSO

    mtext_put_prop(), mtext_get_prop(), mtext_get_prop_values(), mtext_push_prop(), mtext_pop_prop(), mtext_prop_range()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.